> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an app release

Requires the v0.13 app-release capability for your account. See [app release workflows](/deploy/overview) for preparation, activation, and recovery.


## OpenAPI

````yaml openapi/app-releases-api.json GET /api/v1/workspaces/{id}/app-releases/{release_id}
openapi: 3.1.0
info:
  title: Rigbox App Releases API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
paths:
  /api/v1/workspaces/{id}/app-releases/{release_id}:
    get:
      tags:
        - App releases
      operationId: read
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: release_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: App release result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReleaseResponse'
      security:
        - bearer: []
components:
  schemas:
    ReleaseResponse:
      type: object
      required:
        - release
      properties:
        release:
          $ref: '#/components/schemas/AppRelease'
    AppRelease:
      type: object
      required:
        - id
        - is_current
        - can_rollback
        - workspace_id
        - user_id
        - owner_key
        - idempotency_key
        - status
        - artifact_release_id
        - apps
        - created_at
        - updated_at
      properties:
        apps: {}
        artifact_release_id:
          type: string
        can_rollback:
          type: boolean
        created_at:
          type: string
          format: date-time
        error:
          type:
            - string
            - 'null'
        id:
          type: string
        idempotency_key:
          type: string
        is_current:
          type: boolean
        owner_key:
          type: string
        previous_release_id:
          type:
            - string
            - 'null'
        source_commit:
          type:
            - string
            - 'null'
        status:
          type: string
        updated_at:
          type: string
          format: date-time
        user_id:
          type: string
        workspace_id:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````